#!/usr/bin/sh

# ibus autostart script for Mageia (X11)

#[ "$XDG_CURRENT_DESKTOP" = "GNOME" ] && exit 0
[ "$XMODIFIERS" = "@im=ibus" ] || exit 1

pgrep ibus-daemon > /dev/null 2>&1 && pkill ibus-daemon

case "$XDG_CURRENT_DESKTOP" in
  KDE)
    ibus start --service-file org.freedesktop.IBus.session.KDE.service
    ;;
  GNOME)
    ibus start --service-file org.freedesktop.IBus.session.GNOME.service
    ;;
  *)
    ibus start --service-file org.freedesktop.IBus.session.generic.service
    ;;
esac

pgrep uim-xim > /dev/null 2>&1 && pkill uim-xim


exit 0
